/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.2 Baustellensimulation
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.simbaustelle.simbaustelle;

import java.util.concurrent.TimeUnit;

import de.bsvrz.ibv.simbaustelle.parameter.IBssParameterListener;
import de.bsvrz.ibv.simbaustelle.parameter.IBssParameterObserver;

/**
 * Standard-Prognose-Parameter, wenn kein Netz übergeben wurde.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class DefaultPrognoseParameter implements IBssParameterObserver {

	@Override
	public long getHorizont() {
		return 30;
	}

	@Override
	public long getAktualisierungsIntervall() {
		return 1;
	}

	@Override
	public long getPrognoseSchrittweite() {
		return TimeUnit.HOURS.toMillis(1);
	}

	@Override
	public double getFaktorQ0() {
		return 1;
	}

	@Override
	public long getLaengePkw() {
		return 6;
	}

	@Override
	public long getLaengeStauBeginn() {
		return 300;
	}

	@Override
	public long getLaengeStauAufhebung() {
		return 200;
	}

	@Override
	public void addParameterListener(IBssParameterListener listener) {
		// keine Aktualisierung
	}

	@Override
	public void removeParameterListener(IBssParameterListener listener) {
		// keine Aktualisierung
	}
}
